Subject: [Lsr] WG adoption call for draft-ketant-lsr-ospf-l2bundles-01

From: Christian Hopps <[email-masked]>
Date: Fri, 2 Oct 2020 08:03:29 -0400

This begins a 2 week WG adoption call for the following draft:

  https://datatracker.ietf.org/doc/draft-ketant-lsr-ospf-l2bundles/

Please indicate your support or objection by October 16, 2020.

Authors, please respond to the list indicating whether you are aware of any IPR that applies to this draft.

Thanks,
Chris and Acee.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 2 Oct 2020 17:17:10 +0000

Speaking as WG member:
 
I support WG adoption of this document. It is needed for IS-IS parity and there are already other non-WG documents referencing it. 

Thanks,
Acee

On 10/2/20, 8:05 AM, "Christian Hopps" <[email-masked]> wrote:

    Thanks,
    Chris and Acee.

---

From: Jeff Tantsura <[email-masked]>
Date: Fri, 2 Oct 2020 15:04:06 -0700

yes/support

Cheers,
Jeff
On Oct 2, 2020, 5:03 AM -0700, Christian Hopps <[email-masked]>, wrote:
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 2 Oct 2020 22:11:19 +0000

I support WG adoption of this draft.
OSPF needs functionality equivalent to that defined for IS-IS in RFC 8668.

   Les

> -----Original Message-----
> From: Lsr <[email-masked]> On Behalf Of Christian Hopps
> Sent: Friday, October 02, 2020 5:03 AM
> To: [email-masked]
> Cc: [email-masked]; Christian Hopps <[email-masked]>; draft-ketant-
> [email-masked]
> Subject: [Lsr] WG adoption call for draft-ketant-lsr-ospf-l2bundles-01
>

---

From: Gyan Mishra <[email-masked]>
Date: Fri, 2 Oct 2020 18:36:55 -0400

I agree that OSPF needs the functionality equivalent to that defined for
IS-IS in RFC 8668.

I think the draft should include similar to RFC 8668 section 3 parallel
layer 3 adjacencies 3 similar Sub TLVs mentioned flag for multiple parallel
adjacencies.

Also maybe section 4 of RFC 8668 would apply as well to ospf advertisement
of L2 bundle Adj sid.

Thanks

Gyan

On Fri, Oct 2, 2020 at 6:11 PM Les Ginsberg (ginsberg) <ginsberg=
[email-masked]> wrote:

> > Authors, please respond to the list indicating whether you are aware of
> any
>
> > IPR that applies to this draft.
>
> >
>
> > Thanks,
>
> > Chris and Acee.
>
>
>
> --

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*M 301 502-134713101 Columbia Pike *Silver Spring, MD

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 5 Oct 2020 05:19:26 +0000

I support the adoption of this document by the WG and as an author, I am not aware of any IPR associated with it.

Thanks,
Ketan

-----Original Message-----
From: Christian Hopps <[email-masked]> 
Sent: 02 October 2020 17:33
To: [email-masked]
Cc: Christian Hopps <[email-masked]>; [email-masked]; [email-masked]
Subject: WG adoption call for draft-ketant-lsr-ospf-l2bundles-01

Thanks,
Chris and Acee.

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 5 Oct 2020 05:29:32 +0000

Hi Gyan,

Thanks for your support and comments on the draft.

The proposed encoding for L2 Bundle members and their attributes in OSPF is different than the ISIS encodings in RFC8668. ISIS encodings have “tighter” LSP space considerations that OSPF. The authors have proposed a simpler encoding scheme for OSPF – feedback/inputs are welcome.

The list of attributes in Figure 2 and 3 also includes L2 Bundle member Adj SID. Since the encoding scheme is similar to Layer 3 attributes, we can re-use the same sub-TLVs.

Thanks,
Ketan

From: Lsr <[email-masked]> On Behalf Of Gyan Mishra
Sent: 03 October 2020 04:07
To: Les Ginsberg (ginsberg) <ginsberg=[email-masked]>
Cc: [email-masked]; [email-masked]; Christian Hopps <[email-masked]>; [email-masked]
Subject: Re: [Lsr] WG adoption call for draft-ketant-lsr-ospf-l2bundles-01

I agree that OSPF needs the functionality equivalent to that defined for IS-IS in RFC 8668.

I think the draft should include similar to RFC 8668 section 3 parallel layer 3 adjacencies 3 similar Sub TLVs mentioned flag for multiple parallel adjacencies.

Also maybe section 4 of RFC 8668 would apply as well to ospf advertisement of L2 bundle Adj sid.

Thanks

Gyan

On Fri, Oct 2, 2020 at 6:11 PM Les Ginsberg (ginsberg) <ginsberg=[email-masked]<mailto:[email-masked]>> wrote:
I support WG adoption of this draft.

   Les

> From: Lsr <[email-masked]<mailto:[email-masked]>> On Behalf Of Christian Hopps

> To: [email-masked]<mailto:[email-masked]>

> Cc: [email-masked]<mailto:[email-masked]>; Christian Hopps <[email-masked]<mailto:[email-masked]>>; draft-ketant-

> [email-masked]<mailto:[email-masked]>

> Authors, please respond to the list indicating whether you are aware of any

Lsr mailing list

[email-masked]<mailto:[email-masked]>

[http://ss7.vzw.com/is/image/VerizonWireless/vz-logo-email]<http://www.verizon.com/>

Gyan Mishra

Network Solutions Architect

M 301 502-1347
13101 Columbia Pike
Silver Spring, MD

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 5 Oct 2020 11:55:02 +0000

Hi Ketan,

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Monday, October 5, 2020 at 1:29 AM
To: Gyan Mishra <[email-masked]>, "Les Ginsberg (ginsberg)" <ginsberg=[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Christian Hopps <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [Lsr] WG adoption call for draft-ketant-lsr-ospf-l2bundles-01
Resent-From: <[email-masked]>
Resent-To: Christian Hopps <[email-masked]>, Acee Lindem <[email-masked]>, Yingzhen Qu <[email-masked]>
Resent-Date: Monday, October 5, 2020 at 1:29 AM

Hi Gyan,

You have the bundle member sub-TLVs in the right place for OSPFv2 and OSPFv3.

Thanks,
Acee

Thanks,
Ketan

Thanks

Gyan

   Les

Lsr mailing list

[Image removed by sender.]<http://www.verizon.com/>

Gyan Mishra

M 301 502-1347
13101 Columbia Pike
Silver Spring, MD

---

From: Gyan Mishra <[email-masked]>
Date: Tue, 6 Oct 2020 13:26:10 -0400

Thanks Ketan!

On Mon, Oct 5, 2020 at 1:29 AM Ketan Talaulikar (ketant) <[email-masked]>
wrote:

> The proposed encoding for L2 Bundle members and their attributes in OSPF
> is different than the ISIS encodings in RFC8668. ISIS encodings have
> “tighter” LSP space considerations that OSPF. The authors have proposed a
> simpler encoding scheme for OSPF – feedback/inputs are welcome.
>
>
>
> The list of attributes in Figure 2 and 3 also includes L2 Bundle member
> Adj SID. Since the encoding scheme is similar to Layer 3 attributes, we can
> re-use the same sub-TLVs.
>
> Gyan> Makes sense.  So were able to reuse existing TLVs which makes it
> easier then ISIS encoding with OSPFv2 RFC 7684 Extended prefix opaque LSA
> and OSPFv3 RFC 8362 TLV extensibility.  The primary goal of this draft is
> for PCE to be able to instantiation of flows over  LAG L2 member links.  I
> was wondering if this same member link TLV extension can be used for
> control of costs associated with bundle and flow instantiation over a
> member link in a distributed manual model.  Basically same functionality
> provided to controller be able to leverage in a distributed model.
>
Thanks,
>
> Ketan
>
>
>
> *From:* Lsr <[email-masked]> *On Behalf Of *Gyan Mishra
> *Sent:* 03 October 2020 04:07
> *To:* Les Ginsberg (ginsberg) <ginsberg=[email-masked]>
> *Cc:* [email-masked]; [email-masked];
> Christian Hopps <[email-masked]>; [email-masked]
> *Subject:* Re: [Lsr] WG adoption call for
> draft-ketant-lsr-ospf-l2bundles-01
>
>
>
>
>
> <https://www.google.com/maps/search/13101+Columbia+Pike+%0D%0A+Silver+Spring,+MD?entry=gmail&source=g>
>
> *Network Solutions Architect *
>
>
>
> *M 301 502-1347 13101 Columbia Pike
> <https://www.google.com/maps/search/13101+Columbia+Pike+%0D%0A+Silver+Spring,+MD?entry=gmail&source=g>
> *Silver Spring, MD
> <https://www.google.com/maps/search/13101+Columbia+Pike+%0D%0A+Silver+Spring,+MD?entry=gmail&source=g>
>
>
>
-- 

*Gyan Mishra*

---

From: Christian Hopps <[email-masked]>
Date: Thu, 29 Oct 2020 14:26:36 -0400

The document is adopted.

Authors, please resubmit as draft-ietf-lsr-ospf-l2bundles-00

Thanks,
Chris.

> On Oct 2, 2020, at 8:03 AM, Christian Hopps <[email-masked]> wrote:
> 
> Signed PGP part

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 30 Oct 2020 04:14:51 +0000

Hi Chris,

Thanks for the update and we've just posted https://tools.ietf.org/html/draft-ietf-lsr-ospf-l2bundles-00

Thanks,
Ketan

-----Original Message-----
From: Christian Hopps <[email-masked]> 
Sent: 29 October 2020 23:57
To: [email-masked]
Cc: Christian Hopps <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [Lsr] WG adoption call for draft-ketant-lsr-ospf-l2bundles-01

The document is adopted.

Thanks,
Chris.